## grendel.storage
Interface FolderExtra

public abstract interface FolderExtra

These are extra interfaces that our folder objects implement that are not implemented as part of the standard Folder class. If you want to call any of these, and you just have a base Folder object, use FolderExtraFactory to find or create the FolderExtra object for you.

Method Summary
`int` | `getUndeletedMessageCount()` The number of messages in this folder that have not been deleted.

Method Detail

### getUndeletedMessageCount

    public int getUndeletedMessageCount()
                                 throws javax.mail.MessagingException

  The number of messages in this folder that have not been deleted.